- entityDefinitions:
  - IDI_Task_ViewGetReferencedAttributeMethod: '{df3e955a-4821-49b5-be59-d8ae7e92b659}'
  - IDI_Task_EditGetReferencedAttributeMethod: '{60c16e4d-4bb9-48ef-8004-60dc22bc8787}'
  - IDE_GetReferencedAttributeMethod_View: '{f84571ab-cc5a-4ba4-9339-7e2cbcbae7a4}'
  - IDE_GetReferencedAttributeMethod_Edit: '{010df368-5847-473e-be72-f68faf2b9adb}'
  - IDE_GetReferencedAttributeMethod_Definition: '{b1921c17-6c3e-4290-ba52-70e613833094}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_ViewGetReferencedAttributeMethod;'
    name: 'View GRA - Get Referenced Attribute Method'
    initiatingElement: '&IDE_GetReferencedAttributeMethod_View;'
    taskCategory: '&IDI_TaskCategory_GetReferencedAttributeMethod;'

  - sequenceTask: '&IDI_Task_EditGetReferencedAttributeMethod;'
    name: 'Edit GRA - Get Referenced Attribute Method'
    initiatingElement: '&IDE_GetReferencedAttributeMethod_Edit;'
    taskCategory: '&IDI_TaskCategory_GetReferencedAttributeMethod;'

  - element: '&IDE_GetReferencedAttributeMethod_View;'
    name: 'view gra'
    elementContents:
    - globalIdentifier: '{3ed02658-03f7-41be-a8a6-dc9bf4cb0e29}'
      defaultDataType: '&IDE_Method_Common_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{a9ab8835-d1cd-433f-889a-6f7db40168ee}'
      defaultDataType: '&IDE_GetReferencedAttributeMethod_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_GetReferencedAttributeMethod_Definition;'
    name: 'gra subedit'
    label: 'Method Implementation'
    elementContents:
    - globalIdentifier: '{94bda951-b133-47bf-9598-f8b4b433b21b}'
      defaultDataType: '&IDR_Get_Referenced_Attribute_Method__returns__Attribute;'
      label: 'Returns Attribute'
      order: a
    - globalIdentifier: '{8c3c4553-1def-4237-8aae-05c1836f61c2}'
      defaultDataType: '&IDR_Get_Referenced_Attribute_Method__uses_reference__Executable_returning_Instance_Set;'
      label: 'Loop on Instance Set'
      order: b
    - globalIdentifier: '{4050867f-92c2-4c4b-8142-82092b143ddc}'
      defaultDataType: '&IDR_Get_Referenced_Attribute_Method__uses_answer__Executable_returning_Attribute;'
      label: 'Get Attribute'
      order: c


  - element: '&IDE_GetReferencedAttributeMethod_Edit;'
    name: 'edit gra'
    elementContents:
    - globalIdentifier: '{73851987-2faf-4fca-b817-f64dd6326241}'
      defaultDataType: '&IDE_Method_Common_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{3044dd7f-e882-405f-b60c-26b1eb7449ec}'
      defaultDataType: '&IDE_GetReferencedAttributeMethod_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'